Subject: Re: bug#8417: hexlify-buffer
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 04 Apr 2011 21:50:50 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 04 Apr 2011 07:50:19 -0400
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> [Please don't remove the bug tracker address from the CC list.]
> 
> > Date: Mon, 04 Apr 2011 02:16:31 -0500
> > From: Don Harter <[email-masked]>
> > 
> > Yes the same thing happens.
> > 
> > 
> > On 04/03/2011 09:59 PM, Eli Zaretskii wrote:
> > >> Date: Sun, 03 Apr 2011 19:23:19 -0500
> > >> From: Don Harter<[email-masked]>
> > >>
> > >> The same thing happens when I do "emacs -Q ".
> > > How about "LC_ALL=C emacs -Q", does it happen even then?
> 
> Does this happen with other files as well, or just with this one?

Okay, I see the problem now.  It is triggered because this particular
file is encoded in UTF-8 with signature (BOM).  This triggers a bug in
Emacs 23.1, which is fixed in Emacs 23.2 and later (the latest release
is version 23.3).

So the solution for you would be to upgrade to a newer Emacs.  Failing
that, you can work around the problem by typing this in Emacs, before
you invoke hexlify-buffer:

  C-x RET f utf-8 RET C-x C-s

This will recode the file in UTF-8, but without the BOM, and then the
bug in hexl will not be triggered.

I'm closing this bug.  Thanks for all your patience in following up.